Core - Bug # 36409

Status: Closed Priority: Should have
Author: Christian Kuhn Category: Workspaces
Created: 2012-04-21 Assigned To:

Updated: 2013-12-10 Due date:

TYPO3 Version: 6.1

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Remove deprecated code for 6.0

Description

Core, version and workspace module still have some deprecated code that can be removed for 6.0.

At first glance it seems some of them are still used by version / workspace, so it would be great if some workspace member could sort

this out:

- 13lib_beFunc::compilePreviewKeyword()
- 13lib_beFunc::isPidInVersionizedBranch()

- disable_autocreate matches in t3lib_userauthgroup (method workspaceAllowAutoCreation(), workspaceVersioningTypeAccess(),

workspaceVersioningTypeGetClosest(),

- deprecation message in moveRecord() of t3lib_tcemain

Related issues:
related to Core - Task # 37081: Remove deprecated functions
related to Core - Task # 39137: Remove leftover deprecated stuff

Resolved
Resolved

2012-09-22
2012-07-20

History

#1 - 2013-03-21 23:24 - Christian Kuhn
- Status changed from New to Closed
- TYPOS3 Version changed from 6.0 to 6.1

this was handled.

#2 - 2013-12-10 00:57 - Michael Stucki
- Category set to Workspaces

#3 - 2013-12-10 01:01 - Michael Stucki

- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
